* This is a two stage Miller Operational Amplifier
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Lars Hedrich
* License: CC-BY-SA

*>spice

*gnucap>.load force bsim323.so
.include ../PTM_180nm_bulk.mod

.SUBCKT op nout ninp ninn vdd gnd

MN1 M1drain ninn M7drain gnd NMOS W=22U L=2.5U
MN2 M2drain ninp M7drain gnd NMOS W=22U L=2.5U

MP3 M1drain M1drain vdd vdd PMOS W=44U L=1.5U
MP4 M2drain M1drain vdd vdd PMOS W=44U L=1.5U

* Bias stage

MN7 M7drain M8drain gnd gnd NMOS W=93.5U L=4.5U
MN8 M8drain M8drain gnd gnd NMOS W=18.5U L=4.5U
IIb vdd M8drain 1E-5

* Output stage

MP5 nout M2drain vdd vdd PMOS W=200U L=1.5U
MN6 nout M8drain gnd gnd NMOS W=200U L=4.5U

* Compensation

RRK M2drain komp 1200
CCK komp nout 4E-12
.ends op
