* A two stage Operational Transconductance Amplifier
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Lars Hedrich
* License: CC-BY-SA
*>spice

*gnucap>.load force bsim323.so

.include ../PTM_180nm_bulk.mod

.SUBCKT ota nout ninp ninn vdd gnd
RBIAS 2 gnd 100
MP1B 2 2 vdd vdd PMOS l=3.81e-06 w=3.79e-05
MP1 1 2 vdd vdd PMOS l=3.81e-06 w=3.79e-05
MP2 diff_a ninn 1 vdd PMOS l=3.81e-06 w=4.8e-04
MP4 second second vdd vdd PMOS l=1.03e-06 w=2.34e-05
MP5 nout second vdd vdd PMOS l=1.03e-06  w=2.34e-05
MN4 second diff_a gnd gnd NMOS l=1e-06 w=2.94e-05
MN2 nout 3 gnd gnd NMOS l=1e-06 w=2.94e-05
MN1 3 3 gnd gnd NMOS l=1e-06 w=1.23e-05
MN3 diff_a diff_a gnd gnd NMOS l=1e-06 w=1.23e-05
MP3 3 ninp 1 vdd PMOS l=3.81e-06 w=4.8e-04
.ends ota
