* Ring oscillator testbench
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Felix Salfelder
* License: CC-BY-SA

XHH na_nod nb_nod nb_nod na_nod vcc 0 chain sqratio='ratio**.5'
v1 vcc 0 1.7

* startup
CD1 na_nod vcc 1f ic=0
CD2 nb_nod 0 1f ic=0

*>.dc uic
** verification cut here **

*>.options abstol=.1p
*>.options reltol=1e-4
*>.print tr v(nodes) v(XHH.nodes) i(v1)
*>.print dc v(nodes) v(XHH.nodes)
*>.tr 0 50n .1n basic trace=a cont
*>.dc v1 0 1 .1 basic
*>.end

*spectre>.tr 1p 50n
*spectre>.print tran v(nodes)
*spectre>.dc v1 0 1 0.1
*spectre>.print dc v(nodes)

* initial conditions hack for ngspice
*ngspice>.model switch1 sw
*ngspice>s1 nb_nod 0 nic 0 switch1 ON
*ngspice>s2 vcc na_nod nic 0 switch1 ON
*ngspice>vic nic 0 PWL (0 1 1f -1 2f -1)

*ngspice>.options nopage
*ngspice>.width out = 256

*ngspice>.tran 1n 50n
*ngspice>.print tran v(na_nod) v(nb_nod) v(xhh.oa1)  v(xhh.ob1) i(v1)
*ngspice>.dc v1 0 1 .1
*ngspice>.print dc v(na_nod) v(nb_nod)

*xyce>.tr 10p 50n
*xyce>.print tran v(*) i(v1) v(xhh:oa1) v(xhh:ob1)
*xyce>.dc v1 0 1 .1
*xyce>.print dc v(na_nod) v(nb_nod)

