* bandpass using a mos op
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Felix Salfelder
* License: CC-BY-SA

*gnucap>.load force bsim323.so
*>include ../op/M1.sp
*spectre>.include ../op/M1.sp

.subckt bandpass ein aus vcc vdd gnd
*+ KN=2 Rin=10E3 Rout=100
.param RA=10E3
.param RN=10E3
.param CN=1e-6
.param kn=2

RR1 ein mit RN
RR2 aus mit RN
*RR3 pos gnd '2*RN'
RR3 pos gnd '20e3'
RR4 neg gnd RA
RR5 dif neg '(2*KN-1)*RA'
EE1 aus gnd dif gnd 0.5
CC1 mit gnd CN
*EE2 difca gnd mit gnd 1
CC2 mit pos CN
*EE3 difcb gnd mit pos 1
XOP dif pos neg vcc vdd op
* *>eop1 dif 0 pos neg tanh gain=1000 limit=2.5
.ends

* include does not work for ngspice, xyce. ...
*ngspice>.subckt op a b c d e
*ngspice>R1 a e 1
*ngspice>.ends

*xyce>.subckt op a b c d e
*xyce>R1 a e 1
*xyce>.ends
