* LC lowpass with gyrator coil emulation
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Lars Hedrich
* License: CC-BY-SA

*>spice

.subckt xcoil in out
.parameter l=1E-3
*Gyrator:
G1 int 0 in out 1E-3
G2 in out int 0 -1E3
* Capacity
Cint int 0 l
* to enable DC-Simulation (converts to a finite input)
Rdummy2 int 0 1E9
.ends

.subckt lp nin nout nref
r1 nout nref 1
xl1 nin nout xcoil l=1.9e-7
.ends
