* lowpass rc filter with nonlinear cap
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Felix Salfelder
* License: CC-BY-SA
*>spice

* don't know how to do this in ngspice, xyce

.param c=1.9e-10
.param c0=c/2
.param skew=2

.subckt lp nin nout nref
r1 nin nout '1000'
*xyce>r2 nout nref 1
*ngspice>r2 nout nref 1

* the model computes the charge
*>c1 nout nref tanh gain={c*skew} limit={c} shear=c0
* the model computes the capacity
*spectre: cap (nout nref) bsource c=c0+c*skew*(1-tanh(v(nout,nref)*skew)**2)

.ends
