* A behavioral model of an operational amplifier
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Felix Salfelder
* License: CC-BY-SA
*>spice
*>.load lang_adms.so

* check: synchronize with gnucap instanciation params (opvm.gc)
*spectre>simulator lang=spectre
*spectre>ahdl_include "op.va"
*spectre>simulator lang=spice
*spectre>.subckt op 1 2 3 4 5
*spectre>X1 1 2 3 4 5 opbm
*spectre>+gain=1.2e3
*spectre>+Sr=1.5e7
*spectre>+f0db=5.5e6
*spectre>+Rin=2e6
*spectre>+Rout=75 output_range=3.29
*spectre>+output_offset=0.0
*spectre>+inp_offset=0.0001
*spectre>.ends
*>.include opvm.gc

* ngspice and xyce don't support va
* setup a dummy
*ngspice>.subckt op nout ninp ninn vdd gnd
*ngspice>R1 nout gnd 1
*ngspice>.ends
*xyce>.subckt op nout ninp ninn vdd gnd
*xyce>R1 nout gnd 1
*xyce>.ends
