* sigma-delta converter testbench


.param VCC=1

* Vin nin 0 DC 0.25 AC 1
Vin nin 0 PWL 0,.25 100m,.75 200m,.25


* .subckt sigma_delta nin vcc gnd clk nout
Xds nin ncc 0 nclk nout sigma_delta

R1 nout nlp 100k
C1 0 nlp 100n

Vcc ncc 0 1
VCG nclk 0 PULSE 0 1 0.1m 10n 10n 0.25m 0.5m

*** verification cut here ***

*.op
*.ac dec 10 100K 5
*.output ac v(out)

*>.dc uic
*>.print tran v(nodes) v(xds.nodes) v(xds.xff.nodes)
*>.tran 0 200m 200m trace=a basic cont

*spectre>.tran 1m 200m uic
*spectre>.print tran v(nin)

*ngspice>.options nopage
*ngspice>.width out = 512
*ngspice>.tran 1m 200m
*ngspice>.print tran v(nlp) v(nout) v(nclk) v(Xds.nint1) v(Xds.nint2) v(nin)
*ngspice>+           v(xds.xff.dl1out) v(Xds.ncmp) v(xds.ncfill1) v(xds.ncfill2)
*ngspice>+           v(Xds.nq) v(Xds.nhalf) v(Xds.neg_op1)

**ngspice>+           v(xds.xff.xdl1.invin)
**ngspice>+           v(xds.xff.xdl2.invin)

*xyce>.tran .1u 200m uic
*xyce>.print tran v(nlp) v(nout) v(nclk) v(Xds:nint1) v(nin) v(Xds:nint2)
*xyce>+           v(Xds:nq) v(Xds:nhalf) v(Xds:neg_op1)
*xyce>+           v(xds:ncmp) v(xds:ncfill1) v(xds:ncfill2)
*xyce>+           v(xds:xff:dl1out)

*>.end
