* Tunnel diode testbench
*
* Copyright: (c) 2014 Lars Hedrich, Felix Salfelder
* Author: Felix Salfelder
* License: CC-BY-SA

.param r=.4
.param c=.2
.param l=1

.param vsupp=2.6

v1 nin 0 pulse 0 2.6 0 1n

* .subckt
r1 nin ni r
*>.brl l1 ni nout l
*spectre: l1 ni nout inductor l=l

*ngspice>l1 ni nout l

*xyce>l1 ni nout l

c1 nout 0 c
xtd nout 0 td

* xtdo nin nref nout tdo

**>.verilog
**>brl #(.l(.1m) .ic(i1)) lb(n1,0);
**>spice

** verification cut here **

*>.options reltol=1e-4

*>.print tran v(nodes) i(v1)
*>.tran 0 30 30 trace=a basic
*>.print dc v(nodes) i(v1) v(v1)
*>.dc v1 -1 10 .1 basic

*spectre>.tran 1 30
*spectre>.dc V1 -1 10 .1
*spectre>.print tran v(nodes)
*spectre>.print dc v(nodes) i(R1)

* trouble after 7s
*ngspice>.tran 1 7
*ngspice>.dc v1 -1 10 .1
*ngspice>.print tran v(nin) v(nout)
*ngspice>.print dc v(nin) v(nout) i(v1)

*xyce>.tr 1 30
*xyce>.print tr v(nin) v(nout)
*xyce>.dc v1 -1 10 .1
*xyce>.print dc v(nin) v(nout) i(v1)

*.print ddc v(C1) i(lb) dv(nout) v(lb) i(c1) ddv(n1)
*.ddc v1 {2*a} {2*a} 0 vq1 -0.25 0.25 0.01 i1 -10m 10m 1m tr > tdo.dat

*>.end
